Groovy Documentation

## org.codehaus.groovy.runtime.metaclass
[Java] Class ConcurrentReaderHashMap.BarrierLock

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.BarrierLock

All Implemented Interfaces:
  java.io.Serializable

    protected static class ConcurrentReaderHashMap.BarrierLock

A Serializable class for barrier lock *

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Groovy Documentation